> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runmorph.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Invoice



## OpenAPI

````yaml patch /v1/resources/accountingInvoice/{resourceId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers: []
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/resources/accountingInvoice/{resourceId}:
    patch:
      tags:
        - Invoice
      summary: Update Invoice
      parameters:
        - schema:
            type: string
          required: true
          name: resourceId
          in: path
        - schema:
            anyOf:
              - type: boolean
              - type: string
            default: false
          required: false
          name: returnResource
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                invoiceCode:
                  type: string
                  minLength: 1
                  maxLength: 250
                  description: Unique invoice identifier (human-readable)
                customerContact:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's contact associated with the invoice
                customerCompany:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's company associated with the invoice
                issuedAt:
                  type: string
                  description: Date when the invoice was issued
                dueAt:
                  type: string
                  description: Payment due date
                paidAt:
                  type: string
                  description: Date the invoice was paid (if applicable)
                status:
                  type: string
                  enum:
                    - draft
                    - paid
                    - void
                    - overdue
                    - pending
                  description: Invoice state
                lineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      object:
                        type: string
                        enum:
                          - resourceRef
                          - resource
                      model:
                        type: string
                      fields:
                        nullable: true
                      rawResource:
                        nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                  description: The line items associated with the invoice
                currency:
                  type: string
                  minLength: 3
                  maxLength: 3
                  description: ISO currency code (e.g., USD)
                preTaxAmount:
                  type: number
                  minimum: 0
                  description: Amount before taxes
                taxAmount:
                  type: number
                  minimum: 0
                  description: Total tax applied
                totalAmount:
                  type: number
                  minimum: 0
                  description: Final total (with tax)
                inclusiveOfTax:
                  type: boolean
                  description: Whether prices are tax-inclusive
                balance:
                  type: number
                  minimum: 0
                  description: Outstanding balance
                note:
                  type: string
                  description: Internal or external memo / comments
              additionalProperties:
                nullable: true
          application/jwt:
            schema:
              type: object
              properties:
                invoiceCode:
                  type: string
                  minLength: 1
                  maxLength: 250
                  description: Unique invoice identifier (human-readable)
                customerContact:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's contact associated with the invoice
                customerCompany:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's company associated with the invoice
                issuedAt:
                  type: string
                  description: Date when the invoice was issued
                dueAt:
                  type: string
                  description: Payment due date
                paidAt:
                  type: string
                  description: Date the invoice was paid (if applicable)
                status:
                  type: string
                  enum:
                    - draft
                    - paid
                    - void
                    - overdue
                    - pending
                  description: Invoice state
                lineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      object:
                        type: string
                        enum:
                          - resourceRef
                          - resource
                      model:
                        type: string
                      fields:
                        nullable: true
                      rawResource:
                        nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                  description: The line items associated with the invoice
                currency:
                  type: string
                  minLength: 3
                  maxLength: 3
                  description: ISO currency code (e.g., USD)
                preTaxAmount:
                  type: number
                  minimum: 0
                  description: Amount before taxes
                taxAmount:
                  type: number
                  minimum: 0
                  description: Total tax applied
                totalAmount:
                  type: number
                  minimum: 0
                  description: Final total (with tax)
                inclusiveOfTax:
                  type: boolean
                  description: Whether prices are tax-inclusive
                balance:
                  type: number
                  minimum: 0
                  description: Outstanding balance
                note:
                  type: string
                  description: Internal or external memo / comments
              additionalProperties:
                nullable: true
          text/plain:
            schema:
              type: object
              properties:
                invoiceCode:
                  type: string
                  minLength: 1
                  maxLength: 250
                  description: Unique invoice identifier (human-readable)
                customerContact:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's contact associated with the invoice
                customerCompany:
                  type: object
                  properties:
                    id:
                      type: string
                    object:
                      type: string
                      enum:
                        - resourceRef
                        - resource
                    model:
                      type: string
                    fields:
                      nullable: true
                    rawResource:
                      nullable: true
                    remote:
                      type: object
                      properties:
                        id:
                          type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                  description: The customer's company associated with the invoice
                issuedAt:
                  type: string
                  description: Date when the invoice was issued
                dueAt:
                  type: string
                  description: Payment due date
                paidAt:
                  type: string
                  description: Date the invoice was paid (if applicable)
                status:
                  type: string
                  enum:
                    - draft
                    - paid
                    - void
                    - overdue
                    - pending
                  description: Invoice state
                lineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      object:
                        type: string
                        enum:
                          - resourceRef
                          - resource
                      model:
                        type: string
                      fields:
                        nullable: true
                      rawResource:
                        nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                  description: The line items associated with the invoice
                currency:
                  type: string
                  minLength: 3
                  maxLength: 3
                  description: ISO currency code (e.g., USD)
                preTaxAmount:
                  type: number
                  minimum: 0
                  description: Amount before taxes
                taxAmount:
                  type: number
                  minimum: 0
                  description: Total tax applied
                totalAmount:
                  type: number
                  minimum: 0
                  description: Final total (with tax)
                inclusiveOfTax:
                  type: boolean
                  description: Whether prices are tax-inclusive
                balance:
                  type: number
                  minimum: 0
                  description: Outstanding balance
                note:
                  type: string
                  description: Internal or external memo / comments
              additionalProperties:
                nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - anyOf:
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resourceRef
                          model:
                            type: string
                          id:
                            type: string
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                        required:
                          - object
                          - model
                          - id
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resource
                          model:
                            type: string
                          id:
                            type: string
                          fields:
                            type: object
                            properties:
                              invoiceCode:
                                type: string
                                minLength: 1
                                maxLength: 250
                                description: Unique invoice identifier (human-readable)
                              customerContact:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's contact associated with the
                                  invoice
                              customerCompany:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's company associated with the
                                  invoice
                              issuedAt:
                                type: string
                                description: Date when the invoice was issued
                              dueAt:
                                type: string
                                description: Payment due date
                              paidAt:
                                type: string
                                description: Date the invoice was paid (if applicable)
                              status:
                                type: string
                                enum:
                                  - draft
                                  - paid
                                  - void
                                  - overdue
                                  - pending
                                description: Invoice state
                              lineItems:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    object:
                                      type: string
                                      enum:
                                        - resourceRef
                                        - resource
                                    model:
                                      type: string
                                    fields:
                                      nullable: true
                                    rawResource:
                                      nullable: true
                                    remote:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                    createdAt:
                                      type: string
                                    updatedAt:
                                      type: string
                                  required:
                                    - id
                                description: The line items associated with the invoice
                              currency:
                                type: string
                                minLength: 3
                                maxLength: 3
                                description: ISO currency code (e.g., USD)
                              preTaxAmount:
                                type: number
                                minimum: 0
                                description: Amount before taxes
                              taxAmount:
                                type: number
                                minimum: 0
                                description: Total tax applied
                              totalAmount:
                                type: number
                                minimum: 0
                                description: Final total (with tax)
                              inclusiveOfTax:
                                type: boolean
                                description: Whether prices are tax-inclusive
                              balance:
                                type: number
                                minimum: 0
                                description: Outstanding balance
                              note:
                                type: string
                                description: Internal or external memo / comments
                            required:
                              - invoiceCode
                              - status
                              - currency
                              - preTaxAmount
                              - taxAmount
                              - totalAmount
                              - inclusiveOfTax
                              - balance
                            additionalProperties:
                              nullable: true
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          rawResource:
                            nullable: true
                          warnings:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                              required:
                                - code
                        required:
                          - object
                          - model
                          - id
                          - fields
                          - createdAt
                          - updatedAt
            application/jwt:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - anyOf:
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resourceRef
                          model:
                            type: string
                          id:
                            type: string
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                        required:
                          - object
                          - model
                          - id
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resource
                          model:
                            type: string
                          id:
                            type: string
                          fields:
                            type: object
                            properties:
                              invoiceCode:
                                type: string
                                minLength: 1
                                maxLength: 250
                                description: Unique invoice identifier (human-readable)
                              customerContact:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's contact associated with the
                                  invoice
                              customerCompany:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's company associated with the
                                  invoice
                              issuedAt:
                                type: string
                                description: Date when the invoice was issued
                              dueAt:
                                type: string
                                description: Payment due date
                              paidAt:
                                type: string
                                description: Date the invoice was paid (if applicable)
                              status:
                                type: string
                                enum:
                                  - draft
                                  - paid
                                  - void
                                  - overdue
                                  - pending
                                description: Invoice state
                              lineItems:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    object:
                                      type: string
                                      enum:
                                        - resourceRef
                                        - resource
                                    model:
                                      type: string
                                    fields:
                                      nullable: true
                                    rawResource:
                                      nullable: true
                                    remote:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                    createdAt:
                                      type: string
                                    updatedAt:
                                      type: string
                                  required:
                                    - id
                                description: The line items associated with the invoice
                              currency:
                                type: string
                                minLength: 3
                                maxLength: 3
                                description: ISO currency code (e.g., USD)
                              preTaxAmount:
                                type: number
                                minimum: 0
                                description: Amount before taxes
                              taxAmount:
                                type: number
                                minimum: 0
                                description: Total tax applied
                              totalAmount:
                                type: number
                                minimum: 0
                                description: Final total (with tax)
                              inclusiveOfTax:
                                type: boolean
                                description: Whether prices are tax-inclusive
                              balance:
                                type: number
                                minimum: 0
                                description: Outstanding balance
                              note:
                                type: string
                                description: Internal or external memo / comments
                            required:
                              - invoiceCode
                              - status
                              - currency
                              - preTaxAmount
                              - taxAmount
                              - totalAmount
                              - inclusiveOfTax
                              - balance
                            additionalProperties:
                              nullable: true
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          rawResource:
                            nullable: true
                          warnings:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                              required:
                                - code
                        required:
                          - object
                          - model
                          - id
                          - fields
                          - createdAt
                          - updatedAt
            text/plain:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - anyOf:
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resourceRef
                          model:
                            type: string
                          id:
                            type: string
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                        required:
                          - object
                          - model
                          - id
                      - type: object
                        properties:
                          object:
                            type: string
                            enum:
                              - resource
                          model:
                            type: string
                          id:
                            type: string
                          fields:
                            type: object
                            properties:
                              invoiceCode:
                                type: string
                                minLength: 1
                                maxLength: 250
                                description: Unique invoice identifier (human-readable)
                              customerContact:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's contact associated with the
                                  invoice
                              customerCompany:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  object:
                                    type: string
                                    enum:
                                      - resourceRef
                                      - resource
                                  model:
                                    type: string
                                  fields:
                                    nullable: true
                                  rawResource:
                                    nullable: true
                                  remote:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                  createdAt:
                                    type: string
                                  updatedAt:
                                    type: string
                                required:
                                  - id
                                description: >-
                                  The customer's company associated with the
                                  invoice
                              issuedAt:
                                type: string
                                description: Date when the invoice was issued
                              dueAt:
                                type: string
                                description: Payment due date
                              paidAt:
                                type: string
                                description: Date the invoice was paid (if applicable)
                              status:
                                type: string
                                enum:
                                  - draft
                                  - paid
                                  - void
                                  - overdue
                                  - pending
                                description: Invoice state
                              lineItems:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    object:
                                      type: string
                                      enum:
                                        - resourceRef
                                        - resource
                                    model:
                                      type: string
                                    fields:
                                      nullable: true
                                    rawResource:
                                      nullable: true
                                    remote:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                    createdAt:
                                      type: string
                                    updatedAt:
                                      type: string
                                  required:
                                    - id
                                description: The line items associated with the invoice
                              currency:
                                type: string
                                minLength: 3
                                maxLength: 3
                                description: ISO currency code (e.g., USD)
                              preTaxAmount:
                                type: number
                                minimum: 0
                                description: Amount before taxes
                              taxAmount:
                                type: number
                                minimum: 0
                                description: Total tax applied
                              totalAmount:
                                type: number
                                minimum: 0
                                description: Final total (with tax)
                              inclusiveOfTax:
                                type: boolean
                                description: Whether prices are tax-inclusive
                              balance:
                                type: number
                                minimum: 0
                                description: Outstanding balance
                              note:
                                type: string
                                description: Internal or external memo / comments
                            required:
                              - invoiceCode
                              - status
                              - currency
                              - preTaxAmount
                              - taxAmount
                              - totalAmount
                              - inclusiveOfTax
                              - balance
                            additionalProperties:
                              nullable: true
                          remote:
                            type: object
                            properties:
                              id:
                                type: string
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          rawResource:
                            nullable: true
                          warnings:
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                message:
                                  type: string
                              required:
                                - code
                        required:
                          - object
                          - model
                          - id
                          - fields
                          - createdAt
                          - updatedAt
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            application/jwt:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            text/plain:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
          ConnectorId: []
          OwnerId: []
          SessionToken: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    ApiSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
    ConnectorId:
      type: apiKey
      in: header
      name: x-connector-id
    OwnerId:
      type: apiKey
      in: header
      name: x-owner-id
    SessionToken:
      type: apiKey
      in: header
      name: x-session-token

````